> ## Documentation Index
> Fetch the complete documentation index at: https://docs.authsignal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Management API - Overview

> Configure Authsignal tenants, actions, and rules using the management API.

<Card title="Download the Management API OpenAPI Specification" icon="link" href="https://docs.authsignal.com/management-api.json" horizontal />

### Endpoint selection

Select the API endpoint which correlates with your tenant's region selection.

<CodeGroup>
  ```bash US (Oregon) theme={null}
  https://api.authsignal.com/v1/management
  ```

  ```bash EU (Ireland) theme={null}
  https://eu.api.authsignal.com/v1/management
  ```

  ```bash AU (Sydney) theme={null}
  https://au.api.authsignal.com/v1/management
  ```

  ```bash CA (Montreal) theme={null}
  https://ca.api.authsignal.com/v1/management
  ```
</CodeGroup>

## Authentication

The Authsignal Management API uses a secret key to authenticate requests. **This key is different from the one you use to authenticate to the Server API.**

<Warning>Please keep this key secure, and never expose it publicly.</Warning>

You can find the Management API secret key in the [API Keys section of the Authsignal Portal settings](https://portal.authsignal.com/organisations/tenants/api).

### Example usage

<CodeGroup>
  ```bash US (Oregon) theme={null}
  curl -u "YOUR_SECRET_KEY:" https://api.authsignal.com/v1/management/tenant
  # The colon prevents curl from asking for a password.
  ```

  ```bash EU (Ireland) theme={null}
  curl -u "YOUR_SECRET_KEY:" https://eu.api.authsignal.com/v1/management/tenant
  # The colon prevents curl from asking for a password.
  ```

  ```bash AU (Sydney) theme={null}
  curl -u "YOUR_SECRET_KEY:" https://au.api.authsignal.com/v1/management/tenant
  # The colon prevents curl from asking for a password.
  ```

  ```bash CA (Montreal) theme={null}
  curl -u "YOUR_SECRET_KEY:" https://ca.api.authsignal.com/v1/management/tenant
  # The colon prevents curl from asking for a password.
  ```
</CodeGroup>

Following the basic authentication protocol, the Management API expects requests to include an Authorization header containing the word `Basic` followed by a space and a **base64-encoded** `username:password` string.
The `username` value should be your Management API secret key and the `password` value should be empty.
